/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.svnconf.valueobject;

import java.util.Date;
import java.util.List;

/**
 * blancoSvnConfのなかで利用されるValueObjectです。
 */
public class BlancoSvnConfStructure {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * SubversionリポジトリID。必須項目。
     */
    private String fName;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * 説明。
     */
    private String fDescription;

    /**
     * フィールド [hostname]
     *
     * 項目の型 [java.lang.String]<br>
     * ホスト名。
     */
    private String fHostname;

    /**
     * フィールド [baseDirectory]
     *
     * 項目の型 [java.lang.String]<br>
     * 基準ディレクトリ。
     */
    private String fBaseDirectory;

    /**
     * フィールド [managerName]
     *
     * 項目の型 [java.lang.String]<br>
     * 管理者ID。
     */
    private String fManagerName;

    /**
     * フィールド [validityPeriodBegin]
     *
     * 項目の型 [java.util.Date]<br>
     * 有効期間・開始
     */
    private Date fValidityPeriodBegin;

    /**
     * フィールド [validityPeriodEnd]
     *
     * 項目の型 [java.util.Date]<br>
     * 有効期間・終了
     */
    private Date fValidityPeriodEnd;

    /**
     * フィールド [type]
     *
     * 項目の型 [java.lang.String]<br>
     * 定義書区分 (new, update, delete)
     */
    private String fType;

    /**
     * フィールド [anonymousAuth]
     *
     * 項目の型 [java.lang.String]<br>
     * 非登録者利用 (none, r, rw)
     */
    private String fAnonymousAuth;

    /**
     * フィールド [userList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * フィールドを保持するリスト。
     */
    private List fUserList = new java.util.ArrayList();

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * SubversionリポジトリID。必須項目。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * SubversionリポジトリID。必須項目。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 説明。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 説明。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [hostname]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ホスト名。
     *
     * @param argHostname フィールド[hostname]に格納したい値
     */
    public void setHostname(final String argHostname) {
        fHostname = argHostname;
    }

    /**
     * フィールド[hostname]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ホスト名。
     *
     * @return フィールド[hostname]に格納されている値
     */
    public String getHostname() {
        return fHostname;
    }

    /**
     * フィールド [baseDirectory]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 基準ディレクトリ。
     *
     * @param argBaseDirectory フィールド[baseDirectory]に格納したい値
     */
    public void setBaseDirectory(final String argBaseDirectory) {
        fBaseDirectory = argBaseDirectory;
    }

    /**
     * フィールド[baseDirectory]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 基準ディレクトリ。
     *
     * @return フィールド[baseDirectory]に格納されている値
     */
    public String getBaseDirectory() {
        return fBaseDirectory;
    }

    /**
     * フィールド [managerName]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 管理者ID。
     *
     * @param argManagerName フィールド[managerName]に格納したい値
     */
    public void setManagerName(final String argManagerName) {
        fManagerName = argManagerName;
    }

    /**
     * フィールド[managerName]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 管理者ID。
     *
     * @return フィールド[managerName]に格納されている値
     */
    public String getManagerName() {
        return fManagerName;
    }

    /**
     * フィールド [validityPeriodBegin]のセッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 有効期間・開始
     *
     * @param argValidityPeriodBegin フィールド[validityPeriodBegin]に格納したい値
     */
    public void setValidityPeriodBegin(final Date argValidityPeriodBegin) {
        fValidityPeriodBegin = argValidityPeriodBegin;
    }

    /**
     * フィールド[validityPeriodBegin]のゲッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 有効期間・開始
     *
     * @return フィールド[validityPeriodBegin]に格納されている値
     */
    public Date getValidityPeriodBegin() {
        return fValidityPeriodBegin;
    }

    /**
     * フィールド [validityPeriodEnd]のセッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 有効期間・終了
     *
     * @param argValidityPeriodEnd フィールド[validityPeriodEnd]に格納したい値
     */
    public void setValidityPeriodEnd(final Date argValidityPeriodEnd) {
        fValidityPeriodEnd = argValidityPeriodEnd;
    }

    /**
     * フィールド[validityPeriodEnd]のゲッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 有効期間・終了
     *
     * @return フィールド[validityPeriodEnd]に格納されている値
     */
    public Date getValidityPeriodEnd() {
        return fValidityPeriodEnd;
    }

    /**
     * フィールド [type]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 定義書区分 (new, update, delete)
     *
     * @param argType フィールド[type]に格納したい値
     */
    public void setType(final String argType) {
        fType = argType;
    }

    /**
     * フィールド[type]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 定義書区分 (new, update, delete)
     *
     * @return フィールド[type]に格納されている値
     */
    public String getType() {
        return fType;
    }

    /**
     * フィールド [anonymousAuth]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 非登録者利用 (none, r, rw)
     *
     * @param argAnonymousAuth フィールド[anonymousAuth]に格納したい値
     */
    public void setAnonymousAuth(final String argAnonymousAuth) {
        fAnonymousAuth = argAnonymousAuth;
    }

    /**
     * フィールド[anonymousAuth]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 非登録者利用 (none, r, rw)
     *
     * @return フィールド[anonymousAuth]に格納されている値
     */
    public String getAnonymousAuth() {
        return fAnonymousAuth;
    }

    /**
     * フィールド [userList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * フィールドを保持するリスト。
     *
     * @param argUserList フィールド[userList]に格納したい値
     */
    public void setUserList(final List argUserList) {
        fUserList = argUserList;
    }

    /**
     * フィールド[userList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * フィールドを保持するリスト。
     *
     * @return フィールド[userList]に格納されている値
     */
    public List getUserList() {
        return fUserList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.svnconf.valueobject.BlancoSvnConfStructure[");
        buf.append("name=" + fName);
        buf.append(",description=" + fDescription);
        buf.append(",hostname=" + fHostname);
        buf.append(",baseDirectory=" + fBaseDirectory);
        buf.append(",managerName=" + fManagerName);
        buf.append(",validityPeriodBegin=" + fValidityPeriodBegin);
        buf.append(",validityPeriodEnd=" + fValidityPeriodEnd);
        buf.append(",type=" + fType);
        buf.append(",anonymousAuth=" + fAnonymousAuth);
        buf.append(",userList=" + fUserList);
        buf.append("]");
        return buf.toString();
    }
}
